Bug 1409435 - Hardlinks are causing errors and head to skipping these files
Summary: Hardlinks are causing errors and head to skipping these files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rdiff-backup
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-01 21:53 UTC by Thomas Pi.
Modified: 2017-01-24 20:50 UTC (History)
2 users (show)

Fixed In Version: rdiff-backup-1.2.8-20.fc25 rdiff-backup-1.2.8-20.fc24 rdiff-backup-1.2.8-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 19:51:26 UTC


Attachments (Terms of Use)

Description Thomas Pi. 2017-01-01 21:53:54 UTC
Hardlink are causing errors and head to skipping the files. 

UpdateError bin/bzcat Updated mirror temp file /backup/bck/bin/rdiff-backup.tmp.1 does not match source

Architektur : x86_64
Version    : 1.2.8
Ausgabe    : 11.el7

It may be dependent of the source or destination file system, as I did non have any problems from ext4 to ext4 under CentOS 6. Currently it's from xfs to ext4 under CentOS7. The source files cannot change, as it's an thin snapshot mount read only.

This patch solves the problem for me. The files are backed up and no error is printed.
http://savannah.nongnu.org/bugs/?26796

Comment 1 Fedora Update System 2017-01-08 19:05:23 UTC
rdiff-backup-1.2.8-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2db901196f

Comment 2 Fedora Update System 2017-01-08 19:12:57 UTC
rdiff-backup-1.2.8-20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5e342b7e5

Comment 3 Fedora Update System 2017-01-08 19:13:02 UTC
rdiff-backup-1.2.8-20.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e1fea6424

Comment 4 Fedora Update System 2017-01-09 01:47:44 UTC
rdiff-backup-1.2.8-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2db901196f

Comment 5 Fedora Update System 2017-01-09 02:22:27 UTC
rdiff-backup-1.2.8-20.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e1fea6424

Comment 6 Fedora Update System 2017-01-09 02:25:14 UTC
rdiff-backup-1.2.8-20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5e342b7e5

Comment 7 Fedora Update System 2017-01-17 19:51:26 UTC
rdiff-backup-1.2.8-20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-17 20:20:17 UTC
rdiff-backup-1.2.8-20.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-24 20:50:37 UTC
rdiff-backup-1.2.8-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.